#!/bin/sh
# IBM WebSphere Application Server Patterns
#
# Copyright IBM Corp. 2014
# All rights reserved.
# US Government Users Restricted Rights -
# Use, duplication or disclosure restricted
# by GSA ADP Schedule Contract with IBM Corp.
#
# Licensed Materials-Property of IBM
#
. /etc/virtualimage.properties
params="$@"

script_dir=`pwd`

# Execute the script as WAS Administrative Userid. 
HVE_USERNAME=`ls -l $WAS_PROFILE_ROOT/bin/stopServer.sh | awk '{ print $3 }'`

# check if this script was already executed by checking storage. getValue returns 101 if the key is present 
# in the storage, 100 if it is not present. 
#su $HVE_USERNAME -c "$WAS_PROFILE_ROOT/bin/wsadmin.sh -lang jython -f ${script_dir}/veStorage.py getValue -key:CreateODRDC"
#clone=$?

su $HVE_USERNAME -c "$WAS_PROFILE_ROOT/bin/wsadmin.sh -lang jython -f $WAS_INSTALL_ROOT/bin/createODRDynamicCluster.py -ngName:DefaultODRNodeGroup -nodeName:$NODE_NAME $params"
rc=$?

#if [ $rc -eq 0 ]; then
  # add entry to the storage for this script to indicate this script is executed once
  #su $HVE_USERNAME -c "$WAS_PROFILE_ROOT/bin/wsadmin.sh -lang jython -f ${script_dir}/veStorage.py setValue -key:CreateODRDC -value:1"
#fi

exit $rc
  
  
